This page links to all the LookML parameters that are children of the `explore` parameter.

An Explore serves as the starting point for a query in the Looker application. Explores reference [views](https://docs.cloud.google.com/looker/docs/2606/reference/param-view) and each Explore can contain [joins](https://docs.cloud.google.com/looker/docs/2606/reference/param-join) to other views. Explores should typically be declared in a [model file](https://docs.cloud.google.com/looker/docs/2606/reference/param-model).

## Example usage

*Hover over a parameter name to see a quick description; click it to jump to that page.
When a parameter can be set to one of several specific options, the default value is listed first.*

```
## STRUCTURAL PARAMETERS

https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-explore: explore_name {
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-extension: required
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-extends: [explore_name,  explore_name, ...]
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-fields: [field_or_set, field_or_set, ...]
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-tags: ["string1", "string2", ...]

  # DISPLAY PARAMETERS
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-description: "Description I want"
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-group-label: "Label to use as a heading in the Explore menu"
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-hidden: yes | no
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-label: "desired label"
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-query:  {
      # Desired query parameters (described on the query page)      }
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-view-label: "Field picker heading I want for the Explore's fields"

  # FILTER PARAMETERS

  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-access-filter: {
    https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-access-filter: fully_scoped_field
    https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-access-filter: user_attribute_name
  }

  # Possibly more access_filter declarations

  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-always-filter: {
    https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-always-filter: [field_name: "filter expression", field_name: "filter expression", ...]
  }
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-case-sensitive: yes | no
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-conditionally-filter: {
    https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-conditionally-filter: [field_name: "filter expression", field_name: "filter expression", ...]
    https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-conditionally-filter: [field_name, field_name, ...]
  }
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-sql-always-having: SQL HAVING condition ;;
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-sql-always-where: SQL WHERE condition ;;

  # JOIN PARAMETERS

  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-always-join: [view_name, view_name, ...]
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-join: view_name {
    # Desired join parameters (described on Join Parameters page)
  }
  # Possibly more join declarations

  # QUERY PARAMETERS

  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-autogenerate-primary-keys: yes | no
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-cancel-grouping-fields: [fully_scoped_field, fully_scoped_field, ...]
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-from: view_name
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-persist-for: "N (seconds | minutes | hours)"
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-persist-with: datagroup_name
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-required-access-grants: [access_grant_name, access_grant_name, ...]
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-sql-table-name: table_name ;;
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-sql-preamble: SQL STATEMENT  ;;
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-symmetric-aggregates: yes | no
  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-view-name: view_name

  # AGGREGATE TABLE PARAMETERS

  https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table: table_name {
    https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table#query:  {
      # Desired query parameters (described on the aggregate_table page)
    }
    https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table#materialization:  {
      # Desired materialization parameters (described on the aggregate_table page)
    }
  }
  # Possibly more aggregate_table declarations
}

## REFINEMENT PARAMETERS

explore: +explore_name {
  https://docs.cloud.google.com/looker/docs/2606/lookml-refinements#final: yes
}
```

## Parameter definitions

| Parameter Name | Description |
|---|---|
| Structural Parameters ||
| [`extends` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-extends) | Specifies Explore(s) that will be extended by this Explore |
| [`extension` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-extension) | Specifies that the Explore requires extension and cannot itself be exposed to users |
| [`explore` (for model)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-explore) | Exposes a view in the Explore menu |
| [`fields` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-fields) | Limits the fields available in an Explore from its base view and through the Explore's joins |
| [`tags` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-tags) | Specifies text that can be passed to other applications |
| Display Parameters ||
| [`description` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-description) | Adds a description for an Explore that appears to users in the UI |
| [`group_label` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-group-label) | Creates a group label to use as a heading in the Explore menu |
| [`hidden` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-hidden) | Hides an Explore from the Explore menu |
| [`label` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-label) | Changes the way an Explore appears in the Explore menu |
| [`query` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-query) | Creates a predefined query for users to select in an Explore's Quick Start menu. |
| [`view_label` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-view-label) | Specifies how a group of fields from the Explore's base view will be labeled in the field picker |
| Filter Parameters ||
| [`access_filter`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-access-filter) | Adds user-specific filters to an Explore |
| [`always_filter`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-always-filter) | Adds filters a user can change, but not remove, to an Explore |
| [`case_sensitive` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-case-sensitive) | Specifies whether filters are case-sensitive for an Explore |
| [`conditionally_filter`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-conditionally-filter) | Adds filters to an Explore if a user does not add their own filter from a specific list |
| [`sql_always_having`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-sql-always-having) | Inserts conditions into the query's `HAVING` clause that a user cannot change or remove for this Explore |
| [`sql_always_where`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-sql-always-where) | Inserts conditions into the query's `WHERE` clause that a user cannot change or remove for this Explore |
| Join Parameters ||
| [`always_join`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-always-join) | Specifies which joins must always be applied to an Explore |
| [`join`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-join) | Joins an additional view to an Explore. For more information about joins and their parameters, see the [Join Parameters](https://docs.cloud.google.com/looker/docs/2606/reference/param-join) reference page. |
| Query Parameters ||
| [`autogenerate_primary_keys` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-autogenerate-primary-keys) | Enables or disables automatic primary key generation |
| [`cancel_grouping_fields`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-cancel-grouping-fields) | Cancels the `GROUP BY` clause when certain fields are chosen in an Explore |
| [`from` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-from) | Specifies the view on which an Explore will be based, and reference the fields of that view by the Explore's name |
| [`persist_for` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-persist-for) | Changes the cache settings for an Explore |
| [`persist_with` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-persist-with) | Specifies the datagroup to use for the Explore's caching policy |
| [`required_access_grants` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-required-access-grants) | Limits access to the Explore to only users whose user attribute values match the access grants |
| [`sql_table_name` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-sql-table-name) | Specifies the database table on which an Explore will be based |
| [`symmetric_aggregates`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-symmetric-aggregates) | Specifies whether symmetric aggregates are enabled for an Explore |
| [`view_name` (for Explore)](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-view-name) | Specifies the view on which an Explore will be based, and references the fields of that view by the view's name |
| Aggregate Table Parameters ||
| [`aggregate_table`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table) | Creates an aggregate table in order to use aggregate awareness for queries on the Explore. For information on the `aggregate_table` parameter, see the [`aggregate_table`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table) parameter page. For an overview of aggregate awareness, see the [Aggregate awareness](https://docs.cloud.google.com/looker/docs/2606/aggregate_awareness) documentation page. |
| [`query`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table#query) | Defines the query for the aggregate table. For information on `query` and its subparameters, see the [`aggregate_table`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table#query) parameter page. |
| [`materialization`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table#materialization) | Defines the persistence strategy for the aggregate table. For information on `materialization` and its subparameters, see the [`aggregate_table`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-aggregate-table#materialization) parameter page. |
| Refinement Parameters ||
| [`explore: +explore_name`](https://docs.cloud.google.com/looker/docs/2606/lookml-refinements) | Adds a plus sign (`+`) in front of an existing Explore name to add a refinement to the existing Explore. See the [LookML refinements](https://docs.cloud.google.com/looker/docs/2606/lookml-refinements) documentation page for more information and use cases. |
| [`final`](https://docs.cloud.google.com/looker/docs/2606/lookml-refinements#final) | Indicates that the current refinement is the final refinement allowed for the Explore. See the [LookML refinements](https://docs.cloud.google.com/looker/docs/2606/lookml-refinements#final) documentation page for more information and use cases. |
| Parameters to Avoid ||
| `access_filter_fields` | Removed 6.0 Replaced by [`access_filter`](https://docs.cloud.google.com/looker/docs/2606/reference/param-explore-access-filter) |